## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate sequoia-keyring-linter

Name:           rust-sequoia-keyring-linter
Version:        1.0.1
Release:        %autorelease
Summary:        Linter for keyrings

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keyring-linter
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * switch crypto backend from Nettle to OpenSSL
# * drop features for unsupported crypto backends
# * exclude files that are only useful for upstream development
# * bump rpassword dependency from 6 to 7
# * bump assert_cmd dev-dependency from 1.0.1 to 2.0.0
Patch:          sequoia-keyring-linter-fix-metadata.diff
# https://gitlab.com/sequoia-pgp/keyring-linter/-/merge_requests/9
Patch:          0001-build-fix-file-names-for-generated-manpage-and-shell.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A linter for keyrings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 AND MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSL-1.0
# GPL-2.0-or-later
# LGPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        GPL-2.0-or-later AND Apache-2.0 AND BSL-1.0 AND LGPL-2.0-or-later AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sq-keyring-linter
%{_mandir}/man1/sq-keyring-linter*
%{bash_completions_dir}/sq-keyring-linter.bash
%{fish_completions_dir}/sq-keyring-linter.fish
%{zsh_completions_dir}/_sq-keyring-linter

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manual pages
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.1 \
    %{buildroot}/%{_mandir}/man1/sq-keyring-linter.1
# install shell completions
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.bash \
    %{buildroot}/%{bash_completions_dir}/sq-keyring-linter.bash
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.fish \
    %{buildroot}/%{fish_completions_dir}/sq-keyring-linter.fish
install -Dpm 0644 target/release/build/%{crate}-*/out/_sq-keyring-linter \
    %{buildroot}/%{zsh_completions_dir}/_sq-keyring-linter

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-7
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-6
- Rebuild for rustix 0.38.34

* Mon Apr 22 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-5
- Switch crypto backend from Nettle to OpenSSL and refresh packaging

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-2
- Rebuild for sequoia-openpgp v1.16

* Sat May 06 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1; Fixes RHBZ#2168872

* Fri Mar 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0-4
- Fix EPEL 9 build

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0; Fixes RHBZ#2138837

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-8
- Rebuild with sequoia-openpgp 1.8.0

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-7
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.0-5
- Bump assert_cmd to 2.0.0

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Temporarily ignore integer overflow in test suite on 32-bit architectures.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Initial package

## END: Generated by rpmautospec
